### Method

# GLib Queue link_index

since: 2.4

#### Declaration [src]

    gint
    g_queue_link_index (
      GQueue* queue,
      GList* link_
    )

#### Description [src]

Returns the position of `link_` in `queue`.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`link_`

  Type: A list of `gpointer`

  A `GList` link.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The position of `link_`, or -1 if the link is not part of `queue`.